## attr 2.4.41-1

=== attr/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = attr
CFILES = attr.c
LLDLIBS = $(LIBATTR)
LTDEPENDENCIES = $(LIBATTR)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev install-lib:

=== doc/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = INSTALL PORTING CHANGES COPYING
LDIRT = *.gz

default: $(SUBDIRS) CHANGES.gz
	$(SUBDIRS_MAKERULE)

include $(BUILDRULES)

CHANGES.gz:
	$(ZIP) --best -c < CHANGES > $@

install: default
	$(SUBDIRS_MAKERULE)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 PORTING CHANGES.gz $(PKG_DOC_DIR)
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -S CHANGES.gz $(PKG_DOC_DIR)/changelog.gz
else
	$(INSTALL) -m 644 COPYING $(PKG_DOC_DIR)
endif

install-dev install-lib: $(SUBDIRS)
	$(SUBDIRS_MAKERULE)

=== examples/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = copyattr.c
LDIRT = copyattr

include $(BUILDRULES)

default install install-dev install-lib:

=== include/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

INCDIR = attr
INST_HFILES = attributes.h xattr.h error_context.h libattr.h walk_tree.h
HFILES = $(INST_HFILES) misc.h
LSRCFILES = builddefs.in buildmacros buildrules config.h.in
LDIRT = $(INCDIR)

default:
	rm -f $(INCDIR)
	$(LN_S) . $(INCDIR)

include $(BUILDRULES)

install-dev: default
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)
	$(INSTALL) -m 644 $(INST_HFILES) $(PKG_INC_DIR)
install install-lib:

=== libattr/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..

LTLDFLAGS += -Wl,--version-script,$(TOPDIR)/exports
include $(TOPDIR)/include/builddefs

LTLIBRARY = libattr.la
LT_CURRENT = 2
LT_REVISION = 0
LT_AGE = 1

CFILES = libattr.c attr_copy_fd.c attr_copy_file.c attr_copy_check.c
HFILES = libattr.h

ifeq ($(PKG_PLATFORM),linux)
CFILES += syscalls.c
else
LSRCFILES = syscalls.c
endif

LCFLAGS = -include libattr.h

default: $(LTLIBRARY)

include $(BUILDRULES)

install:

install-lib: default
	$(INSTALL_LTLIB)

install-dev: default
	$(INSTALL_LTLIB_DEV)

=== man/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

SUBDIRS = man1 man2 man3 man5

default install install-dev install-lib: $(SUBDIRS)
	$(SUBDIRS_MAKERULE)

include $(BUILDRULES)

=== po/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

POTHEAD = $(PKG_NAME).pot
LINGUAS = de es fr gl nl pl sv
LSRCFILES = $(LINGUAS:%=%.po) $(POTHEAD)
LDIRT = $(POTHEAD)

XGETTEXTFILES =	$(TOPDIR)/attr/attr.c \
		$(TOPDIR)/getfattr/getfattr.c \
		$(TOPDIR)/setfattr/setfattr.c \
		$(TOPDIR)/libattr/attr_copy_fd.c \
		$(TOPDIR)/libattr/attr_copy_file.c

default: $(POTHEAD) $(LINGUAS:%=%.mo)

include $(BUILDRULES)

install: default
	$(INSTALL_LINGUAS)

install-dev install-lib:

=== setfattr/Makefile ===
#
# Copyright (c) 2000, 2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = setfattr
CFILES = setfattr.c

LLDLIBS = $(LIBMISC) $(LIBATTR)
LTDEPENDENCIES = $(LIBMISC) $(LIBATTR)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev install-lib:

=== test/Makefile ===
#
# Copyright (c) 2001-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

# ensure we pick these up in the source tarball
LSRCFILES = attr.test run README

default:

include $(BUILDRULES)

install:
install-dev install-lib:

=== man/man2/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ../..
include $(TOPDIR)/include/builddefs

MAN_SECTION	= 2

MAN_PAGES	= $(shell echo *.$(MAN_SECTION))
MAN_DEST	= $(PKG_MAN_DIR)/man$(MAN_SECTION)
LSRCFILES	= $(MAN_PAGES)

default install : $(MAN_PAGES)

include $(BUILDRULES)

install-dev : default
	$(INSTALL) -m 755 -d $(MAN_DEST)
	$(INSTALL_MAN)
install-lib:

=== debian/changelog ===
attr (2.4.36-1) unstable; urgency=high

  * New upstream release
  * Reinstate xattr syscall entry points (closes: #403585)
  * Fix ARM EABI issue differently, thanks to Lennert Buytenhek.

 -- Nathan Scott <nathans@debian.org>  Tue, 19 Dec 2006 09:46:05 +1100

attr (2.4.35-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 08 Dec 2006 14:12:25 +1100

attr (2.4.33-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 03 Jul 2006 10:08:43 +1000

## attr 2.4.41-2

=== debian/changelog ===
attr (1:2.4.41-2) unstable; urgency=low

  * Bump version for maemo

 -- Niels Breet <maemo@breet.com>  Wed, 21 May 2008 12:00:00 +0200
  

attr (1:2.4.41-1) unstable; urgency=low

  * New upstream release
  * Add myself to Uploaders
  * Remove /usr/share/doc/attr (closes: #405106, #445903)
  * Bump dependency of attr to libattr1 (>= 2.4.41), might be too high but
    good enough. (closes: #377700)
  * Upstream closed bugs:
     Manpage updated (closes: #446877)
  * Closing old bugs:
     2.4.36: (closes: #299095)
  * Bump Standards Versions, no changes were needed.
  * Bump DH_COMPAT.

 -- Niv Sardi <xaiki@debian.org>  Mon, 11 Feb 2008 17:45:43 +1100
  

attr (1:2.4.39-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Added homepage
    - Added myself as comaintainer
    - Set Standards-Version to 3.7.2
    - libacl1-dev depends on libacl1 (= ${binary:Version})
    - acl and libacl1 depend on ${misc:Depends}
  * debian/watch: Added
  * include/buildrules: Drop --omit-header from xgettext call, so that the
    generated POT file becomes valid.
  * debian/rules: Rebuild POT file so that Ubuntu's Rosetta can always
    import an up to date version.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Sep 2007 09:14:11 +1000

attr (1:2.4.32-1.2) unstable; urgency=low

  * Non-maintainer upload (porter NMU).
  * add armel support, Closes: #421627
  * fix kfreebsd build, Closes: #414232

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 25 Jul 2007 23:33:58 +0300

attr (1:2.4.32-1.1) unstable; urgency=emergency

  * Non-maintainer upload.
  * Reupload previous version and fix breackage of ls -la, cp -a and other
    essential utilities.
    Closes: #403601, #403592, #403585, #403590, #403599 and probably more.

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 18 Dec 2006 13:42:31 +0000

=== debian/control ===
Source: attr
Section: utils
Priority: optional
Maintainer: Niels Breet <maemo@breet.com>
Uploaders: Niels Breet <maemo@breet.com>, Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: autoconf, debhelper (>= 5), gettext, libtool
Standards-Version: 3.7.3
Homepage: http://oss.sgi.com/projects/xfs/

Package: attr
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: xfsdump (<< 2.0.0)
Architecture: any
Description: Utilities for manipulating filesystem extended attributes
 A set of tools for manipulating extended attributes on filesystem
 objects, in particular getfattr(1) and setfattr(1).
 An attr(1) command is also provided which is largely compatible
 with the SGI IRIX tool of the same name.

Package: libattr1-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libattr1 (= ${binary:Version})
Provides: attr-dev
Replaces: attr-dev
Conflicts: attr-dev, attr (<< 2.0.0)
Architecture: any
Description: Extended attribute static libraries and headers
 attr-dev contains the libraries and header files needed to develop
 programs which make use of extended attributes.  For Linux programs,
 the documented system call API is the recommended interface, but an
 SGI IRIX compatibility interface is also provided.
 .
 Currently only ext2, ext3, JFS and XFS support extended attributes.
 The SGI IRIX compatibility API built above the Linux system calls is
 used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

Package: libattr1
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Priority: required
Conflicts: attr (<< 2.0.0)
Architecture: any
Description: Extended attribute shared library
 Contains the runtime environment required by programs that make use
 of extended attributes.

=== debian/watch ===
version=3
ftp://oss.sgi.com/projects/xfs/cmd_tars/attr_([\d\.-]+).tar.gz

## attr 2.4.43-1

=== debian/Makefile ===
#
# Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LIBPKG = lib$(PKG_NAME)1
LSRCFILES = changelog compat control copyright rules watch
DEV_DOC_DIR = $(PKG_DOC_DIR)/../$(LIBPKG)-dev
LIB_DOC_DIR = $(PKG_DOC_DIR)/../$(LIBPKG)

default:

include $(BUILDRULES)

install: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 changelog $(PKG_DOC_DIR)/changelog.Debian
endif

install-dev: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 755 -d $(DEV_DOC_DIR)
	$(INSTALL) -m 644 copyright $(DEV_DOC_DIR)
	$(INSTALL) -m 644 changelog $(DEV_DOC_DIR)/changelog.Debian
endif

install-lib: default
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 755 -d $(LIB_DOC_DIR)
	$(INSTALL) -m 644 copyright $(LIB_DOC_DIR)
	$(INSTALL) -m 644 changelog $(LIB_DOC_DIR)/changelog.Debian
endif

=== getfattr/Makefile ===
#
# Copyright (c) 2000, 2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = getfattr
CFILES = getfattr.c

LLDLIBS = $(LIBMISC) $(LIBATTR)
LTDEPENDENCIES = $(LIBMISC) $(LIBATTR)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_BIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_BIN_DIR)
install-dev install-lib:

=== include/Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 include $(TOPDIR)/include/builddefs
 
 INCDIR = attr
-INST_HFILES = attributes.h xattr.h error_context.h libattr.h walk_tree.h
-HFILES = $(INST_HFILES) misc.h
+INST_HFILES = attributes.h xattr.h error_context.h libattr.h
+HFILES = $(INST_HFILES) misc.h walk_tree.h
 LSRCFILES = builddefs.in buildmacros buildrules config.h.in
 LDIRT = $(INCDIR)

=== libattr/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 LT_REVISION = 0
 LT_AGE = 1
 
-CFILES = libattr.c attr_copy_fd.c attr_copy_file.c attr_copy_check.c
+CFILES = libattr.c attr_copy_fd.c attr_copy_file.c attr_copy_check.c attr_copy_action.c
 HFILES = libattr.h
 
 ifeq ($(PKG_PLATFORM),linux)

=== po/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include $(TOPDIR)/include/builddefs
 
 POTHEAD = $(PKG_NAME).pot
-LINGUAS = de es fr gl nl pl sv
+LINGUAS = cs de es fr gl nl pl sv
 LSRCFILES = $(LINGUAS:%=%.po) $(POTHEAD)
 LDIRT = $(POTHEAD)

=== man/man3/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ../..
include $(TOPDIR)/include/builddefs

MAN_SECTION	= 3

MAN_PAGES	= $(shell echo *.$(MAN_SECTION))
MAN_DEST	= $(PKG_MAN_DIR)/man$(MAN_SECTION)
LSRCFILES	= $(MAN_PAGES)

default install : $(MAN_PAGES)

include $(BUILDRULES)

install-dev : default
	$(INSTALL) -m 755 -d $(MAN_DEST)
	$(INSTALL_MAN)
install-lib:

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: attr
 Section: utils
 Priority: optional
-Maintainer: Niels Breet <maemo@breet.com>
-Uploaders: Niels Breet <maemo@breet.com>, Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Nathan Scott <nathans@debian.org>
+Uploaders: Niv Sardi <xaiki@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: autoconf, debhelper (>= 5), gettext, libtool
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Homepage: http://oss.sgi.com/projects/xfs/
 
 Package: attr

## attr 2.4.44

=== debian/changelog ===
attr (1:2.4.44-2ubuntu3) natty; urgency=low

  * No-change rebuild against fixed pkgbinarymangler for multiarch-clean
    changelogs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Apr 2011 01:41:33 -0700

attr (1:2.4.44-2ubuntu2) natty; urgency=low

  * FFe LP: #733501.
  * Build for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 Mar 2011 17:41:04 -0700

attr (1:2.4.44-2ubuntu1) natty; urgency=low

  * For cross builds configure with --host, --build

 -- Peter Pearse <peter.pearse@linaro.org>  Tue, 22 Feb 2011 15:41:01 +0000

attr (1:2.4.44-2) unstable; urgency=low

  * Source format is 3.0 (quilt)
  * Add upstream patches 
    02-fix_memory_leak_in_attr_copy_action.patch
    03-pull_in_string.h.patch
    05-eliminate_a_memory_leak.patch
    06-eliminate_a_double_free.patch
    07-fix_thinko_in_restore.patch
  * Fix debhelper-but-no-misc-depends
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 08 Jun 2010 13:58:30 +1000

attr (1:2.4.44-1) unstable; urgency=low

  * New upstream release
  * Fix out-of-date-standards-version
  * Fix copyright-refers-to-versionless-license-file
  * Update homepage in debian/control
  * Add Vcs-Git and Vcs-Browser to debian/control
  * Update download page in debian/copyright
  * Update debian/watch
  * Add automake as a build-dependency

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 25 Aug 2009 11:23:53 +1000

attr (1:2.4.43-3) unstable; urgency=low

  [ Cyril Brulebois ]
  * Backport the following fix by Petr Salinger from upstream to fix
    FTBFS on GNU/kFreeBSD (Closes: #531950): [git commit b4636a4e9e]
    On Linux, ENOATTR aliases to ENODATA. On other operating systems
    like Irix and BSD*, ENOATTR is a separate error number. Therefore,
    protect the check on “err == ENODATA” with “#ifdef __linux__” in
    strerror_ea() in both getfattr/getfattr.c and setfattr/setfattr.c

  [ Anibal Monsalve Salazar ]
  * Standards version is 3.8.2
  * DH compatibility level is 7
  * Fix "incorrect-libdir-in-la-file usr/lib/libattr.la /lib != /usr/lib"

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 27 Jun 2009 00:29:24 +1000

attr (1:2.4.43-2) unstable; urgency=high

  * Remove --enable-lib64=yes in Makefile (closes: #514017)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 10 Feb 2009 20:32:30 +1100

attr (1:2.4.43-1) unstable; urgency=low

  * New upstream release
  * Updated debian/watch
  * Standards version is 3.8.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 03 Jul 2008 13:49:43 +1000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,21 @@
 Source: attr
 Section: utils
 Priority: optional
-Maintainer: Nathan Scott <nathans@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nathan Scott <nathans@debian.org>
 Uploaders: Niv Sardi <xaiki@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: autoconf, debhelper (>= 5), gettext, libtool
-Standards-Version: 3.8.0
-Homepage: http://oss.sgi.com/projects/xfs/
+Build-Depends: autoconf, automake, debhelper (>= 7), gettext, libtool,
+	dpkg-dev (>= 1.16.0~ubuntu4)
+Standards-Version: 3.8.4
+Homepage: http://savannah.nongnu.org/projects/attr/
+Vcs-Git: git://git.savannah.nongnu.org/attr.git
+Vcs-Browser: http://git.savannah.gnu.org/cgit/attr.git
 
 Package: attr
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: xfsdump (<< 2.0.0)
 Architecture: any
+Multi-Arch: foreign
 Description: Utilities for manipulating filesystem extended attributes
  A set of tools for manipulating extended attributes on filesystem
  objects, in particular getfattr(1) and setfattr(1).
@@ -20,7 +25,7 @@
 Package: libattr1-dev
 Section: libdevel
 Priority: extra
-Depends: libc6-dev | libc-dev, libattr1 (= ${binary:Version})
+Depends: ${misc:Depends}, libc6-dev | libc-dev, libattr1 (= ${binary:Version})
 Provides: attr-dev
 Replaces: attr-dev
 Conflicts: attr-dev, attr (<< 2.0.0)
@@ -41,6 +46,8 @@
 Priority: required
 Conflicts: attr (<< 2.0.0)
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Description: Extended attribute shared library
  Contains the runtime environment required by programs that make use
  of extended attributes.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

package = attr
develop = lib$(package)1-dev
library = lib$(package)1

dirme  = debian/$(package)
dirdev = debian/$(develop)
dirlib = debian/$(library)
pkgme  = DIST_ROOT=`pwd`/$(dirme);  export DIST_ROOT;
pkgdev = DIST_ROOT=`pwd`/$(dirdev); export DIST_ROOT;
pkglib = DIST_ROOT=`pwd`/$(dirlib); export DIST_ROOT;
stdenv = @GZIP=-q; export GZIP;

options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
	  INSTALL_USER=root INSTALL_GROUP=root ;
checkdir = test -f debian/rules

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
        LOCAL_CONFIGURE_OPTIONS += --host $(DEB_HOST_GNU_TYPE) --build $(DEB_BUILD_GNU_TYPE)
endif

LOCAL_CONFIGURE_OPTIONS += \
		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)

build: built
built: config
	@echo "== dpkg-buildpackage: build" 1>&2
	$(MAKE) default
	rm -f po/attr.pot
	$(MAKE) -C po attr.pot
	touch built

config: .census
.census:
	@echo "== dpkg-buildpackage: configure" 1>&2
	$(checkdir)
	$(options) $(MAKE) configure LOCAL_CONFIGURE_OPTIONS="$(LOCAL_CONFIGURE_OPTIONS)"
	touch .census

clean:
	@echo "== dpkg-buildpackage: clean" 1>&2
	$(checkdir)
	-rm -f built .census
	$(MAKE) distclean
	-rm -rf $(dirme) $(dirdev) $(dirlib) debian/tmp
	-rm -f debian/*substvars debian/files* debian/*.debhelper

binary-indep:

binary-arch: checkroot built
	@echo "== dpkg-buildpackage: binary-arch" 1>&2
	$(checkdir)
	-rm -rf $(dirme) $(dirdev) $(dirlib)
	$(pkgme)  $(MAKE) -C . install
	$(pkgdev) $(MAKE) -C . install-dev
	$(pkglib) $(MAKE) -C . install-lib
	$(pkgme)  $(MAKE) -C build src-manifest

	sed -i -e "s,^libdir='/lib/$(DEB_HOST_MULTIARCH)'$$,libdir='/usr/lib/$(DEB_HOST_MULTIARCH)'," \
		$(dirdev)/usr/lib/$(DEB_HOST_MULTIARCH)/libattr.la

	-rm -rf $(dirdev)/usr/share/doc/attr
	-rm -rf $(dirlib)/usr/share/doc/attr
	-rm -rf $(dirlib)/usr/share/locale
	-rm -rf $(dirlib)/usr/share/man
	-rm -rf $(dirlib)/usr/bin

	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -N $(library)
	dh_makeshlibs -p $(library) -V 'libattr1 (>= 2.4.41-1)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol

	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

checkroot:
	test 0 -eq `id -u`

.PHONY: binary binary-arch binary-indep clean checkroot

## attr 2.4.46

=== debian/changelog ===
attr (1:2.4.46-8) unstable; urgency=low

  * Enable hardening build flags 
    Closes: #674003
  * DH compatibility level is 9

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Jun 2012 17:52:45 +1000

attr (1:2.4.46-7) unstable; urgency=low

  * Build-depend on gettext. If it build-depends on gettext:any,
    the auto-builders stop with the message below.
    Dependency installability problem for attr on armel, armhf, hurd-i386,
    kfreebsd-amd64, kfreebsd-i386, mips, powerpc, s390, s390x and sparc:
    attr (= 1:2.4.46-6) build-depends on missing:
    - not-existing-build-dependency-for-any

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 10 May 2012 17:35:17 +1000

attr (1:2.4.46-6) unstable; urgency=low

  * Merge 1:2.4.46-5ubuntu1
    - Build-depend on gettext:any, since we only need it to run tools at
      build-time.
  * Use /bin/sh as CONFIG_SHELL in debian/rules
    Closes: #671903
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 10 May 2012 13:21:50 +1000

attr (1:2.4.46-5ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Build-depend on gettext:any, since we only need it to run tools at
      build-time.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 17 Dec 2011 19:49:26 -0800

attr (1:2.4.46-5) unstable; urgency=low

  * Add Debian epoch version to shlibs dependency.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 03 Dec 2011 22:04:54 +1100

attr (1:2.4.46-4) unstable; urgency=low

  * Mark libattr1-dev Multi-Arch: same
    Patch by Steve Langasek
    Closes: 647855
  * Build if autconf2.13 is installed
    Add 12-643587-attr-autoconf-version-check.patch
    Patch by Wookey
    Closes: 643587

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 03 Dec 2011 21:25:23 +1100

attr (1:2.4.46-3ubuntu1) precise; urgency=low

  * Build-depend on gettext:any, since we only need it to run tools at
    build-time.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 05 Nov 2011 17:34:57 +0000

attr (1:2.4.46-3) unstable; urgency=medium

  * libattr1: Don't pass "-Zbzip2 -z9" to dpkg-deb
    Closes: 634090
  * Don't ship .la files

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 17 Jul 2011 12:19:48 +1000

attr (1:2.4.46-2) unstable; urgency=low

  * Append 'libattr 1 libattr1 (>= 2.4.46-2)' to
    debian/libattr1/DEBIAN/shlibs
  * Remove debian/{attr,libattr1,libattr1-dev}.debhelper.log
  * Set standards-version to 3.9.2
  * Pass "-Zbzip2 -z9" to dpkg-deb
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 04 Jul 2011 21:29:12 +1000

attr (1:2.4.46-1) unstable; urgency=low

  * New upstream release (Closes: #626622).
  - All patches are incorporated upstream.
  * Add multiarch support (Closes: #528141).

 -- Luk Claes <luk@debian.org>  Fri, 24 Jun 2011 07:37:19 +0200

attr (1:2.4.44-3) unstable; urgency=medium

  * Add myself as comaintainer
  * Use bash in build process (Closes: #621927)
  * Pass host & build to allow cross builds to succeed (Closes: #284044) 

 -- Luk Claes <luk@debian.org>  Sat, 28 May 2011 15:48:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: attr
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nathan Scott <nathans@debian.org>
-Uploaders: Niv Sardi <xaiki@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: autoconf, automake, debhelper (>= 7), gettext, libtool,
-	dpkg-dev (>= 1.16.0~ubuntu4)
-Standards-Version: 3.8.4
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Uploaders: Nathan Scott <nathans@debian.org>, Luk Claes <luk@debian.org>
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autoconf, automake, gettext, libtool
+Standards-Version: 3.9.3
 Homepage: http://savannah.nongnu.org/projects/attr/
 Vcs-Git: git://git.savannah.nongnu.org/attr.git
 Vcs-Browser: http://git.savannah.gnu.org/cgit/attr.git
 
 Package: attr
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libattr1 (= ${binary:Version})
 Conflicts: xfsdump (<< 2.0.0)
 Architecture: any
 Multi-Arch: foreign
@@ -30,6 +28,7 @@
 Replaces: attr-dev
 Conflicts: attr-dev, attr (<< 2.0.0)
 Architecture: any
+Multi-Arch: same
 Description: Extended attribute static libraries and headers
  attr-dev contains the libraries and header files needed to develop
  programs which make use of extended attributes.  For Linux programs,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,14 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+
+DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 package = attr
 develop = lib$(package)1-dev
@@ -15,12 +23,9 @@
 stdenv = @GZIP=-q; export GZIP;
 
 options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
-	  INSTALL_USER=root INSTALL_GROUP=root ;
+	  INSTALL_USER=root INSTALL_GROUP=root \
+	  CONFIG_SHELL=/bin/sh ;
 checkdir = test -f debian/rules
-
-DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
         LOCAL_CONFIGURE_OPTIONS += --host $(DEB_HOST_GNU_TYPE) --build $(DEB_BUILD_GNU_TYPE)
@@ -30,6 +35,8 @@
 		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
 		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
+build-arch: build
+build-indep: build
 build: built
 built: config
 	@echo "== dpkg-buildpackage: build" 1>&2
@@ -64,8 +71,8 @@
 	$(pkglib) $(MAKE) -C . install-lib
 	$(pkgme)  $(MAKE) -C build src-manifest
 
-	sed -i -e "s,^libdir='/lib/$(DEB_HOST_MULTIARCH)'$$,libdir='/usr/lib/$(DEB_HOST_MULTIARCH)'," \
-		$(dirdev)/usr/lib/$(DEB_HOST_MULTIARCH)/libattr.la
+	rm -f $(dirdev)/usr/lib/$(DEB_HOST_MULTIARCH)/libattr.la
+	rm -f $(dirdev)/lib/$(DEB_HOST_MULTIARCH)/libattr.la
 
 	-rm -rf $(dirdev)/usr/share/doc/attr
 	-rm -rf $(dirlib)/usr/share/doc/attr
@@ -79,13 +86,15 @@
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -N $(library)
-	dh_makeshlibs -p $(library) -V 'libattr1 (>= 2.4.41-1)'
+	dh_makeshlibs -p $(library) -V 'libattr1 (>= 1:2.4.46-8)'
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
 
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb -p$(package) -- -Zbzip2 -z9
+	dh_builddeb -p$(develop) -- -Zbzip2 -z9
+	dh_builddeb -p$(library)
 
 binary: binary-indep binary-arch

## attr 2.4.46%2Bdyson2

=== libattr/Makefile ===
--- 
+++ 
@@ -1,5 +1,19 @@
 #
 # Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
+# Copyright (C) 2009  Andreas Gruenbacher <agruen@suse.de>
+#
+# This program is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 
 TOPDIR = ..
@@ -19,6 +33,11 @@
 CFILES += syscalls.c
 else
 LSRCFILES = syscalls.c
+ifeq ($(PKG_PLATFORM),sunos)
+CFILES += solaris.c
+else
+LSRCFILES += solaris.c
+endif
 endif
 
 LCFLAGS = -include libattr.h

=== debian/changelog ===
attr (1:2.4.46+dyson2) unstable; urgency=low

  * Fixed attributes listing
  * Use native format

 -- Igor Pashev <pashev.igor@gmail.com>  Mon, 30 Jan 2012 01:40:04 +0000

attr (1:2.4.46-5+dyson1) unstable; urgency=low

  * Ported to Dyson with Solaris xattr support

 -- Igor Pashev <pashev.igor@gmail.com>  Fri, 27 Jan 2012 15:35:01 +0300

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Nathan Scott <nathans@debian.org>, Luk Claes <luk@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autoconf, automake, gettext, libtool
-Standards-Version: 3.9.3
+Build-Depends: autoconf, automake, debhelper (>= 8.1.3), gettext, libtool
+Standards-Version: 3.9.2
 Homepage: http://savannah.nongnu.org/projects/attr/
 Vcs-Git: git://git.savannah.nongnu.org/attr.git
 Vcs-Browser: http://git.savannah.gnu.org/cgit/attr.git
 
 Package: attr
-Depends: ${shlibs:Depends}, ${misc:Depends}, libattr1 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: xfsdump (<< 2.0.0)
 Architecture: any
 Multi-Arch: foreign
@@ -42,7 +42,7 @@
 Package: libattr1
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: libs
-Priority: required
+Priority: optional
 Conflicts: attr (<< 2.0.0)
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,6 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
-
-DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
 
 package = attr
 develop = lib$(package)1-dev
@@ -24,15 +16,19 @@
 
 options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
 	  INSTALL_USER=root INSTALL_GROUP=root \
-	  CONFIG_SHELL=/bin/sh ;
+	  CONFIG_SHELL=/bin/bash ;
 checkdir = test -f debian/rules
+
+DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
         LOCAL_CONFIGURE_OPTIONS += --host $(DEB_HOST_GNU_TYPE) --build $(DEB_BUILD_GNU_TYPE)
 endif
 
 LOCAL_CONFIGURE_OPTIONS += \
-		--libdir=/lib/$(DEB_HOST_MULTIARCH) \
+		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 build-arch: build
@@ -86,7 +82,7 @@
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -N $(library)
-	dh_makeshlibs -p $(library) -V 'libattr1 (>= 1:2.4.46-8)'
+	dh_makeshlibs -p $(library) -V 'libattr1 (>= 1:2.4.46-5)'
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## attr 2.4.47

=== doc/Makefile ===
--- 
+++ 
@@ -1,11 +1,25 @@
 #
 # Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
+# Copyright (C) 2009  Andreas Gruenbacher <agruen@suse.de>
+#
+# This program is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 
 TOPDIR = ..
 include $(TOPDIR)/include/builddefs
 
-LSRCFILES = INSTALL PORTING CHANGES COPYING
+LSRCFILES = INSTALL PORTING CHANGES COPYING COPYING.LGPL
 LDIRT = *.gz
 
 default: $(SUBDIRS) CHANGES.gz
@@ -24,6 +38,7 @@
 	$(INSTALL) -S CHANGES.gz $(PKG_DOC_DIR)/changelog.gz
 else
 	$(INSTALL) -m 644 COPYING $(PKG_DOC_DIR)
+	$(INSTALL) -m 644 COPYING.LGPL $(PKG_DOC_DIR)
 endif
 
 install-dev install-lib: $(SUBDIRS)

=== package/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
# Copyright (C) 2009  Andreas Gruenbacher <agruen@suse.de>
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

MANIFEST=src-manifest
SRCTAR=$(PKG_NAME)-$(PKG_VERSION).src.tar.gz

LDIRT = *-manifest *.gz $(TOPDIR)/$(PKG_NAME)-*

# for clean and clobber
SUBDIRS = tar rpm

# nothing to build here (it's all packaging)
default install install-dev install-lib:

include $(BUILDRULES)

# Symlink in the TOPDIR is used to pack files relative to
# product-version directory.
$(MANIFEST) : $(_FORCE)
	@if [ ! -L $(TOPDIR)/$(PKG_NAME)-$(PKG_VERSION) ] ; then \
	    $(LN_S) . $(TOPDIR)/$(PKG_NAME)-$(PKG_VERSION) ; \
	fi
	@CDIR=`pwd`; cd $(TOPDIR); \
	$(MAKE) --no-print-directory source | \
	    sed -e 's/^\./$(PKG_NAME)-$(PKG_VERSION)/' > $$CDIR/$@ ;\
	if [ $$? -ne 0 ] ; then  \
	    exit 1; \
	else \
	    unset TAPE; \
	    $(TAR) -T $$CDIR/$@ -cf - | $(ZIP) --best > $$CDIR/$(SRCTAR); \
	    echo Wrote: $$CDIR/$(SRCTAR); \
	fi

dist : default $(MANIFEST)
	@DIST_MANIFEST=`pwd`/bin-manifest; DIST_ROOT=/tmp/$$$$; \
	export DIST_MANIFEST DIST_ROOT; \
	rm -f $$DIST_MANIFEST; \
	echo === install === && $(MAKE) -C $(TOPDIR) install || exit $$?; \
	if [ -x $(TAR) ]; then \
	    ( echo "=== tar ===" && $(MAKEF) -C tar $@ || exit $$? ); \
	fi; \
	if [ -x $(RPMBUILD) ]; then \
	    ( echo "=== rpm ===" && $(MAKEF) -C rpm $@ || exit $$? ); \
	fi; \
	test -z "$$KEEP_DIST_ROOT" || rm -rf $$DIST_ROOT; echo Done

=== man/man2/Makefile ===
--- 
+++ 
@@ -1,5 +1,19 @@
 #
 # Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
+# Copyright (C) 2009  Andreas Gruenbacher <agruen@suse.de>
+#
+# This program is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 
 TOPDIR = ../..

=== debian/changelog ===
attr (1:2.4.47-4) unstable; urgency=medium

  * Restrict xattr syscall symbols as arch=linux-any. This fixes the builds
    on non-Linux systems.
  * Reorganize binary package fields.
  * Do not install unnecessary or repeated internal documentation.
  * Fix upstream test suite:
    - Fix perl warning due to deprecated regex construct.
    - Remove bogus @ from shell subcommand in Makefile.
  * Hook the upstream test suite into both the package build and autopkgtest.
    For now ignore failures, and mark it as superficial.

 -- Guillem Jover <guillem@debian.org>  Sat, 16 Feb 2019 02:42:20 +0100

attr (1:2.4.47-3) unstable; urgency=medium

  * Salvage package, with ok from co-maintainer.
    Thanks for all their past work on this package. Closes: #921975
  * Remove debian/Makefile and debian/configure.ac leftovers.
    - Add patch to avoid upstream Makefile entering the debian/ directory.
  * Update upstream URL (working and https) in debian/watch file.
  * Update debian/watch to format version 4.
  * Line-wrap and add a trailing comma to dependency field values.
  * Update Homepage field URL to use https.
  * Update debian/copyright:
    - Remove original packaging information, present in the changelog.
    - Switch to machine parseable format 1.0.
    - Update copyright statements.
  * Remove ancient Conflicts against xfsdump and attr.
  * Remove obsolete Priority extra.
  * Remove Priority required from shared library package.
  * Cleanup debian/rules:
    - Use $(CURDIR) instead of `pwd`.
    - Remove phase prints and comment out DH_VERBOSE, make it verbose enough.
    - Use dpkg architecture.mk fragment instead of ad-hoc variable assignment.
    - Use dh_testdir instead of open-coding it.
    - Use dh_testroot instead of open-coding it.
    - Use dh_clean instead of ad-hoc cleaning, and remove upstream
      configure.lineno in debian/clean. Closes: #867266
    - Do not create an upstream source tarball distribution.
    - Remove unused stdenv variable.
    - Use dh_install, dh_installdocs, dh_installman and dh_link instead of
      calling the upstream build system multiple times to install into the
      package dirs.
    - Rename LOCAL_CONFIGURE_OPTIONS to confflags.
    - Set configure flags properly for cross-building.
  * Switch to debhelper compatibility level 11.
  * Set Rules-Requires-Root to no, and stop setting INSTALL_USER and
    INSTALL_GROUP, as the build system will default to the current user.
  * Switch to Standards-Version 4.3.0.
  * Stop installing man pages from section 2 and 5, those are maintained by
    the manpages upstream project. Closes: #841719
  * Add a shared library symbols file. Closes: #677566
    Thanks to Ivo De Decker <ivo.dedecker@ugent.be>.
  * Improve a bit the package descriptions.
  * Remove ancient versioned dpkg-dev Build-Depends.
  * Perform a proper and correct /usr-merge transition by moving the package
    contents from / to /usr.

 -- Guillem Jover <guillem@debian.org>  Tue, 12 Feb 2019 03:42:45 +0100

attr (1:2.4.47-2) unstable; urgency=medium

  * Standards-Version: 3.9.5.
  * Remove Luk Claes as uploader.
    Closes: #748493.
  * Add attr-udeb and libattr1-udeb binary packages, for use by
    live-installer to copy extended attributes.
    Patch by Colin Watson.
    Closes: #744037.
  * Omit Vcs-* fields.
    Closes: #744028.
  * Use default compression for binary packages.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 08 Sep 2014 08:27:07 +0100

attr (1:2.4.47-1) unstable; urgency=low

  * New upstream release 2.4.47
    Fix "getfattr should indicate missing xattrs via exit value"
    Closes: #520659
  * Update debian/rules
    Upstream renamed build/ to package/
  * Upstream renamed configure.in to configure.ac and didn't ship it.
    Add 01-configure.in.patch
  * Fix missing ldflags
    Add 02-687531-fix-missing-ldflags.patch
    Patch by Simon Ruderich
    Closes: #687531

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 20 May 2013 19:07:56 +1000

=== debian/control ===
Source: attr
Section: utils
Priority: optional
Maintainer: Guillem Jover <guillem@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 11),
 autoconf,
 automake,
 gettext,
 libtool,
Standards-Version: 4.3.0
Homepage: https://savannah.nongnu.org/projects/attr/
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/attr.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/attr.git

Package: attr
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libattr1 (= ${binary:Version}),
Description: utilities for manipulating filesystem extended attributes
 A set of tools for manipulating extended attributes on filesystem
 objects, in particular getfattr(1) and setfattr(1).
 An attr(1) command is also provided which is largely compatible
 with the SGI IRIX tool of the same name.

Package: libattr1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libc6-dev | libc-dev,
 libattr1 (= ${binary:Version}),
Provides:
 attr-dev,
Replaces:
 attr-dev,
Conflicts:
 attr-dev,
Description: extended attributes handling - static libraries and headers
 This package contains the libraries and header files needed to develop
 programs which make use of extended attributes.  For Linux programs,
 the documented system call API is the recommended interface, but an
 SGI IRIX compatibility interface is also provided.
 .
 Currently most filesystems support extended attributes.
 The SGI IRIX compatibility API built above the Linux system calls is
 used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

Package: libattr1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: extended attribute handling - shared library
 Contains the runtime environment required by programs that make use
 of extended attributes.

Package: attr-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libattr1-udeb (= ${binary:Version}),
Description: utilities for manipulating filesystem extended attributes

Package: libattr1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: extended attribute handling - shared library

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
	  CONFIG_SHELL=/bin/sh ;

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --host $(DEB_HOST_GNU_TYPE) --build $(DEB_BUILD_GNU_TYPE)
endif

confflags += \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	$(nil)

build-arch: build
build-indep: build
build: built
built: config
	$(MAKE) default
	rm -f po/attr.pot
	$(MAKE) -C po attr.pot
	touch built

config: .census
.census:
	dh_testdir
	$(options) $(MAKE) configure LOCAL_CONFIGURE_OPTIONS="$(confflags)"
	touch .census

check: built
	dh_testdir
	
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C test tests || true
endif


clean:
	dh_testdir
	-rm -f built .census
	$(MAKE) distclean
	dh_clean

binary-indep:

binary-arch: check
	dh_testdir
	dh_testroot
	
	dh_prep
	dh_installdirs
	
	DIST_ROOT=$(CURDIR)/debian/tmp \
	  $(MAKE) install install-dev install-lib
	
	dh_install
	dh_installdocs
	dh_installchangelogs doc/CHANGES
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -N libattr1
	dh_makeshlibs -p libattr1 -V 'libattr1 (>= 1:2.4.46-8)' --add-udeb libattr1-udeb
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

=== debian/tests/control ===
Tests: test-func
Restrictions: superficial rw-build-tree
Depends: attr

Tests: test-func-root
Restrictions: superficial rw-build-tree needs-root
Depends: attr

=== debian/watch ===
version=4
https://download.savannah.gnu.org/releases/attr/attr-(\d.*?)(?:\.src)?\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
